GCLOUD_COMPUTE_INSTANCES_STOP(1)

NAME

gcloud compute instances stop - stop a virtual machine instance

SYNOPSIS

gcloud compute instances stop NAME [NAME ...] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances stop is used stop a Google Compute Engine virtual machine. Stopping a VM performs a clean shutdown, much like invoking the shutdown functionality of a workstation or laptop. Stopping a VM with a local SSD is not supported and will result in an API error.

POSITIONAL ARGUMENTS
NAME [NAME ...]
    The names of the instances to stop.

FLAGS
--zone ZONE
    The zone of the instance to stop. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.